---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: gitea-oauth-config-role
rules:
  - apiGroups:
      - ""
      - apps
    resources:
      - pods
    verbs:
      - get
      - list
      - delete
  - apiGroups:
      - ""
      - apps
    resources:
      - deployments
    verbs:
      - get
      - list
  - apiGroups:
      - ""
      - apps
    resources:
      - pods/exec
    verbs:
      - create
  - apiGroups:
      - ""
      - apps
    resources:
      - configmaps
    verbs:
      - get
